Complete returning buyer verification
PATCH/registry/v1/proposal/returning-buyer/verification
Validate the verification code sent to the buyer's email. If successful and a matching business is found, returns the buyer's business details (company name, organization number, addresses, etc.). Use the returned details to identify the buyer without requiring them to re-register. Response header Two-Delegated-Authority-Token can be used to gain access to GET /proposal/returning-buyer/matches/<email_address> and hence read details of all businesses associated with the email address that has just been verified. Only present if at least one match was found - with no match, there is nothing for the matches endpoint to return. Requires a delegation token with verify_returning_buyer permission.
Request
Responses
- 200
- 400
- 429
Verification successful. Returns the buyer's business details if a match was found plus total_matches (count of all businesses registered to the same email).
Invalid verification code or request.
Too many verification attempts. Please try again later.